<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.hzs.activity.pick.mapper.AcPickUpConfigMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="com.hzs.common.domain.activity.base.AcPickUpConfig">
        <id column="PK_ID" property="pkId"/>
        <result column="DEL_FLAG" property="delFlag"/>
        <result column="CREATION_TIME" property="creationTime"/>
        <result column="PK_CREATOR" property="pkCreator"/>
        <result column="MODIFIED_TIME" property="modifiedTime"/>
        <result column="PK_MODIFIED" property="pkModified"/>
        <result column="PK_COUNTRY" property="pkCountry"/>
        <result column="PK_BASE_ID" property="pkBaseId"/>
        <result column="IS_WHOLE" property="isWhole"/>
        <result column="FIRST_QUANTITY" property="firstQuantity"/>
        <result column="PICK_UP_TYPE" property="pickUpType"/>
        <result column="QUANTITY" property="quantity"/>
        <result column="PICK_UP_NUM" property="pickUpNum"/>
        <result column="GRANT_TYPE" property="grantType"/>
        <result column="GRANT_DAY" property="grantDay"/>
        <result column="PICK_UP_DATE" property="pickUpDate"/>
        <result column="IS_FREE_MAIL" property="isFreeMail"/>
        <result column="PK_POSTAGE" property="pkPostage"/>
        <result column="FREE_POSTAGE_QUANTITY" property="freePostageQuantity"/>
    </resultMap>


</mapper>
